diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 47f16c9..51de3c3 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -124918,6 +124918,31 @@ PadeApproximantPackage(R: Field, x:Symbol, pt:R): Exports == Implementation wher
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PADE PadeApproximants}
+\begin{chunk}{PadeApproximants.input}
+)set break resume
+)sys rm -f PadeApproximants.output
+)spool PadeApproximants.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PadeApproximants
+--R 
+--R PadeApproximants(R: Field,PS: UnivariateTaylorSeriesCategory(R),UP: UnivariatePolynomialCategory(R))  is a package constructor
+--R Abbreviation for PadeApproximants is PADE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for PADE 
+--R
+--R------------------------------- Operations --------------------------------
+--R pade : (NonNegativeInteger,NonNegativeInteger,PS,PS) -> Union(Fraction(UP),"failed")
+--R padecf : (NonNegativeInteger,NonNegativeInteger,PS,PS) -> Union(ContinuedFraction(UP),"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
 \pagehead{PadeApproximants}{PADE}
 \pagepic{ps/v104padeapproximants.ps}{PADE}{1.00}
 
diff --git a/changelog b/changelog
index a3b2c85..67d47a2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20120324 tpd src/axiom-website/patches.html 20120324.01.tpd.patch
+20120324 tpd src/algebra/Makefile fix typo PolynomialPackageFoCurve
+20120324 tpd books/bookvol10.4 add PadeApproximants test
 20120316 mxc src/axiom-website/patches.html 20120316.01.mxc.patch
 20120316 mxc src/input/Makefile add src/input/testpackage.input
 20120316 mxc src/input/testpackage.input added
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 34fe3f9..d2177ad 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -18164,7 +18164,7 @@ REGRESS= \
  PolynomialCategory.regress \
  PolynomialFactorizationExplicit.regress \
  PolynomialIdeals.regress \
- PolynomialPackageFoCurve.regress \
+ PolynomialPackageForCurve.regress \
  PolynomialRing.regress \
  PolynomialSetCategory.regress \
  PositiveInteger.regress \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 522e1da..644b752 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3844,5 +3844,7 @@ books/bookvol10.2 fix bug 7217<br/>
 books/bookvol10.4, books/bookvol10.3 fix bug 7217<br/>
 <a href="patches/20120316.01.mxc.patch">20120316.01.mxc.patch</a>
 src/input/testpackage.input added<br/>
+<a href="patches/20120324.01.tpd.patch">20120324.01.tpd.patch</a>
+books/bookvol10.4 add PadeApproximants test<br/>
  </body>
 </html>
